zenilib: TIntermAggregate Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TIntermAggregate Class Reference

`#include <intermediate.h>`

Inherits TIntermOperator.

## Public Member Functions

| TIntermAggregate ()
| TIntermAggregate (TOperator o)
| ~TIntermAggregate ()
virtual TIntermAggregate * | getAsAggregate ()
bool | getDebug ()
const TString & | getName () const
bool | getOptimize ()
TIntermSequence & | getSequence ()
bool | getUseEmulatedFunction ()
bool | isUserDefined () const
void | setDebug (bool d)
void | setName (const TString &n)
void | setOptimize (bool o)
void | setUseEmulatedFunction ()
void | setUserDefined ()
virtual void | traverse (TIntermTraverser *)
Public Member Functions inherited from TIntermOperator
TOperator | getOp () const
bool | isConstructor () const
bool | modifiesState () const
void | setOp (TOperator o)
Public Member Functions inherited from TIntermTyped
| TIntermTyped (const TType &t)
int | elementRegisterCount () const
int | getArraySize () const
virtual TIntermTyped * | getAsTyped ()
const char * | getBasicString () const
TBasicType | getBasicType () const
TString | getCompleteString () const
int | getNominalSize () const
TPrecision | getPrecision () const
TQualifier | getQualifier () const
const char * | getQualifierString () const
const TType & | getType () const
TType * | getTypePointer ()
bool | isArray () const
bool | isMatrix () const
bool | isScalar () const
bool | isVector () const
void | setType (const TType &t)
int | totalRegisterCount () const
Public Member Functions inherited from TIntermNode
| TIntermNode ()
virtual | ~TIntermNode ()
virtual TIntermBinary * | getAsBinaryNode ()
virtual TIntermConstantUnion * | getAsConstantUnion ()
virtual TIntermLoop * | getAsLoopNode ()
virtual TIntermSelection * | getAsSelectionNode ()
virtual TIntermSymbol * | getAsSymbolNode ()
virtual TIntermUnary * | getAsUnaryNode ()
const TSourceLoc & | getLine () const
| POOL_ALLOCATOR_NEW_DELETE ()
void | setLine (const TSourceLoc &l)

## Protected Member Functions

| TIntermAggregate (const TIntermAggregate &)
TIntermAggregate & | operator= (const TIntermAggregate &)
Protected Member Functions inherited from TIntermOperator
| TIntermOperator (TOperator o)
| TIntermOperator (TOperator o, TType &t)

## Protected Attributes

bool | debug
TString | name
bool | optimize
TIntermSequence | sequence
bool | useEmulatedFunction
bool | userDefined
Protected Attributes inherited from TIntermOperator
TOperator | op
Protected Attributes inherited from TIntermTyped
TType | type
Protected Attributes inherited from TIntermNode
TSourceLoc | line

## Detailed Description

Definition at line 460 of file intermediate.h.

## Constructor & Destructor Documentation

TIntermAggregate::TIntermAggregate | ( |  | ) |

inline

Definition at line 462 of file intermediate.h.

TIntermAggregate::TIntermAggregate | ( | TOperator | o | ) |

inline

Definition at line 463 of file intermediate.h.

TIntermAggregate::~TIntermAggregate | ( |  | ) |

inline

Definition at line 464 of file intermediate.h.

TIntermAggregate::TIntermAggregate | ( | const TIntermAggregate & |  | ) |

protected

## Member Function Documentation

virtual TIntermAggregate* TIntermAggregate::getAsAggregate | ( |  | ) |

inlinevirtual

Reimplemented from TIntermNode.

Definition at line 466 of file intermediate.h.

Referenced by ForLoopUnroll::FillLoopIndexInfo(), and TOutputGLSLBase::visitAggregate().

bool TIntermAggregate::getDebug | ( |  | ) |

inline

Definition at line 480 of file intermediate.h.

References debug.

const TString& TIntermAggregate::getName | ( |  | ) | const

inline

Definition at line 472 of file intermediate.h.

References name.

Referenced by RenameFunction::visitAggregate(), DetectCallDepth::visitAggregate(), TOutputGLSLBase::visitAggregate(), sh::DetectGradientOperation::visitAggregate(), sh::OutputHLSL::visitAggregate(), TDependencyGraphOutput::visitArgument(), and TDependencyGraphOutput::visitFunctionCall().

bool TIntermAggregate::getOptimize | ( |  | ) |

inline

Definition at line 478 of file intermediate.h.

References optimize.

TIntermSequence& TIntermAggregate::getSequence | ( |  | ) |

inline

Definition at line 469 of file intermediate.h.

References sequence.

Referenced by TParseContext::addConstructor(), TIntermediate::addSwizzle(), TParseContext::areAllChildConst(), ForLoopUnroll::FillLoopIndexInfo(), TParseContext::foldConstConstructor(), TIntermediate::growAggregate(), sh::OutputHLSL::handleExcessiveLoop(), sh::OutputHLSL::isSingleStatement(), TParseContext::lValueErrorCheck(), TIntermediate::makeAggregate(), TIntermediate::setAggregateOperator(), CollectAttribsUniforms::visitAggregate(), TOutputGLSLBase::visitAggregate(), TVersionGLSL::visitAggregate(), sh::OutputHLSL::visitAggregate(), TOutputGLSLBase::visitBinary(), and sh::OutputHLSL::visitBinary().

bool TIntermAggregate::getUseEmulatedFunction | ( |  | ) |

inline

Definition at line 483 of file intermediate.h.

References useEmulatedFunction.

Referenced by TOutputGLSLBase::visitAggregate().

bool TIntermAggregate::isUserDefined | ( |  | ) | const

inline

Definition at line 475 of file intermediate.h.

References userDefined.

Referenced by TDependencyGraph::createFunctionCall(), sh::DetectGradientOperation::visitAggregate(), and sh::OutputHLSL::visitAggregate().

TIntermAggregate& TIntermAggregate::operator= | ( | const TIntermAggregate & |  | ) |

protected

void TIntermAggregate::setDebug | ( | bool | d | ) |

inline

Definition at line 479 of file intermediate.h.

References d, and debug.

void TIntermAggregate::setName | ( | const TString & | n | ) |

inline

Definition at line 471 of file intermediate.h.

Referenced by switch(), and RenameFunction::visitAggregate().

void TIntermAggregate::setOptimize | ( | bool | o | ) |

inline

Definition at line 477 of file intermediate.h.

References optimize.

void TIntermAggregate::setUseEmulatedFunction | ( |  | ) |

inline

Definition at line 482 of file intermediate.h.

References useEmulatedFunction.

void TIntermAggregate::setUserDefined | ( |  | ) |

inline

Definition at line 474 of file intermediate.h.

References userDefined.

void TIntermAggregate::traverse | ( | TIntermTraverser * | it | ) |

virtual

Implements TIntermNode.

Definition at line 129 of file IntermTraverse.cpp.

References TIntermTraverser::decrementDepth(), TIntermTraverser::incrementDepth(), InVisit, TIntermTraverser::inVisit, PostVisit, TIntermTraverser::postVisit, PreVisit, TIntermTraverser::preVisit, TIntermTraverser::rightToLeft, sequence, and TIntermTraverser::visitAggregate().

Referenced by TOutputGLSLBase::visitAggregate(), and sh::OutputHLSL::visitAggregate().

## Member Data Documentation

bool TIntermAggregate::debug

protected

Definition at line 493 of file intermediate.h.

Referenced by getDebug(), and setDebug().

TString TIntermAggregate::name

protected

Definition at line 489 of file intermediate.h.

Referenced by getName().

bool TIntermAggregate::optimize

protected

Definition at line 492 of file intermediate.h.

Referenced by getOptimize(), and setOptimize().

TIntermSequence TIntermAggregate::sequence

protected

Definition at line 488 of file intermediate.h.

Referenced by getSequence(), and traverse().

bool TIntermAggregate::useEmulatedFunction

protected

Definition at line 497 of file intermediate.h.

Referenced by getUseEmulatedFunction(), and setUseEmulatedFunction().

bool TIntermAggregate::userDefined

protected

Definition at line 490 of file intermediate.h.

Referenced by isUserDefined(), and setUserDefined().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/intermediate.h
- zenilib/jni/external/angle/src/compiler/IntermTraverse.cpp